net.sf.jasperreports.components.table

## Enum WhenNoDataTypeTableEnum

- java.lang.Object
- - java.lang.Enum<WhenNoDataTypeTableEnum>
  - - net.sf.jasperreports.components.table.WhenNoDataTypeTableEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WhenNoDataTypeTableEnum>, JREnum, NamedEnum

      public enum WhenNoDataTypeTableEnum
      extends java.lang.Enum<WhenNoDataTypeTableEnum>
      implements JREnum

  Version:
    $Id: WhenNoDataTypeTableEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_SECTIONS_NO_DETAIL` Specifies that in case of empty datasources, all table sections except the detail will displayed.
    `BLANK` Specifies that in case of empty datasources, the table output will be blank.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WhenNoDataTypeTableEnum` | `getByName(java.lang.String name)`
    `static WhenNoDataTypeTableEnum` | `getByValue(byte value)`
    `static WhenNoDataTypeTableEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static WhenNoDataTypeTableEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WhenNoDataTypeTableEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLANK

          public static final WhenNoDataTypeTableEnum BLANK

      Specifies that in case of empty datasources, the table output will be blank.

    - #### ALL_SECTIONS_NO_DETAIL

          public static final WhenNoDataTypeTableEnum ALL_SECTIONS_NO_DETAIL

      Specifies that in case of empty datasources, all table sections except the detail will displayed.

  - ### Method Detail

    - #### values

          public static WhenNoDataTypeTableEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WhenNoDataTypeTableEnum c : WhenNoDataTypeTableEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WhenNoDataTypeTableEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static WhenNoDataTypeTableEnum getByName(java.lang.String name)

    - #### getByValue

          public static WhenNoDataTypeTableEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static WhenNoDataTypeTableEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com